<?php

/**
 * Recommended plugins
 * @category Functions
 * @author Krik
 * @see tgmpluginactivation.com
 */

require_once $root . '/vendor/krikstudio/wpkrik/plugins/recommended-plugins.php';

add_action('tgmpa_register', 'krik_recommended_plugins');

function krik_recommended_plugins()
{
	$plugins = array(
		array(
			'name' => 'Rank Math SEO',
			'slug' => 'seo-by-rank-math',
			'required' => false,
		),
		array(
			'name' => 'LiteSpeed Cache',
			'slug' => 'litespeed-cache',
			'required' => false,
		),
		array(
			'name' => 'Wordfence Security',
			'slug' => 'wordfence',
			'required' => false
		),
		array(
			'name' => 'WPS Hide Login',
			'slug' => 'wps-hide-login',
			'required' => false
		)
	);
	$config = array(
		'id' => 'krik',
		'menu' => 'krik-recommended-plugins',
		'parent_slug' => 'plugins.php',
		'has_notices' => true,
		'dismissable' => true,
		'is_automatic' => true,
		'strings' => array(
			'page_title' => __('Recommended Plugins', 'krik'),
			'menu_title' => __('Recommended', 'krik')
		)
	);
	tgmpa($plugins, $config);
}
